Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.classification
Class InterfaceStability

    java.lang.Object
      org.apache.hadoop.classification.InterfaceStability

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class InterfaceStability

extends Object

Annotation to inform users of how much to rely on a particular package, class or method not changing over time.

Nested Class Summary
`static interface` | `InterfaceStability.Evolving` Evolving, but can break compatibility at minor release (i.e.
`static interface` | `InterfaceStability.Stable` Can evolve while retaining compatibility for minor release boundaries.; can break compatibility only at major release (ie.
`static interface` | `InterfaceStability.Unstable` No guarantee is provided as to reliability or stability across any level of release granularity.

Constructor Summary
`InterfaceStability()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceStability

    public InterfaceStability()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation